%% This is an -*- erlang -*- file.
%%
%% %CopyrightBegin%
%% 
%% Copyright Ericsson AB 2002-2018. All Rights Reserved.
%% 
%% Licensed under the Apache License, Version 2.0 (the "License");
%% you may not use this file except in compliance with the License.
%% You may obtain a copy of the License at
%%
%%     http://www.apache.org/licenses/LICENSE-2.0
%%
%% Unless required by applicable law or agreed to in writing, software
%% distributed under the License is distributed on an "AS IS" BASIS,
%% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
%% See the License for the specific language governing permissions and
%% limitations under the License.
%% 
%% %CopyrightEnd%
%%

{application, hipe,
 [{description, "HiPE Native Code Compiler, version 3.19.2"},
  {vsn, "3.19.2"},
  {modules, [cerl_cconv,
	     cerl_closurean,
	     cerl_hipeify,
	     cerl_lib,
	     cerl_pmatch,
	     cerl_prettypr,
	     cerl_to_icode,
	     cerl_typean,
	     elf_format,
	     erl_bif_types,
	     erl_types,
	     hipe,
	     hipe_adj_list,
	     hipe_amd64_assemble,
	     hipe_amd64_defuse,
	     hipe_amd64_encode,
	     hipe_amd64_frame,
	     hipe_amd64_liveness,
	     hipe_amd64_main,
	     hipe_amd64_pp,
	     hipe_amd64_ra,
	     hipe_amd64_ra_finalise,
	     hipe_amd64_ra_ls,
	     hipe_amd64_ra_naive,
	     hipe_amd64_ra_postconditions,
	     hipe_amd64_ra_sse2_postconditions,
	     hipe_amd64_registers,
	     hipe_amd64_specific,
	     hipe_amd64_specific_sse2,
	     hipe_amd64_specific_x87,
	     hipe_amd64_spill_restore,
	     hipe_amd64_sse2,
	     hipe_amd64_subst,
	     hipe_amd64_x87,
	     hipe_arm,
	     hipe_arm_assemble,
	     hipe_arm_cfg,
	     hipe_arm_defuse,
	     hipe_arm_encode,
	     hipe_arm_finalise,
	     hipe_arm_frame,
	     hipe_arm_liveness_gpr,
	     hipe_arm_main,
	     hipe_arm_pp,
	     hipe_arm_ra,
	     hipe_arm_ra_finalise,
	     hipe_arm_ra_ls,
	     hipe_arm_ra_naive,
	     hipe_arm_ra_postconditions,
	     hipe_arm_registers,
	     hipe_arm_specific,
	     hipe_arm_subst,
	     hipe_bb,
	     hipe_bb_weights,
	     hipe_beam_to_icode,
	     hipe_coalescing_regalloc,
	     hipe_consttab,
	     hipe_data_pp,
	     hipe_digraph,
	     hipe_dominators,
	     hipe_dot,
	     hipe_dsets,
	     hipe_gen_cfg,
	     hipe_gensym,
	     hipe_graph_coloring_regalloc,
	     hipe_icode,
	     hipe_icode2rtl,
	     hipe_icode_bincomp,
	     hipe_icode_callgraph,
	     hipe_icode_call_elim,
	     hipe_icode_cfg,
	     hipe_icode_coordinator,
	     hipe_icode_ebb,
	     hipe_icode_exceptions,
	     hipe_icode_fp,
	     hipe_icode_heap_test,
	     hipe_icode_inline_bifs,
	     hipe_icode_instruction_counter,
	     hipe_icode_liveness,
	     hipe_icode_mulret,
	     hipe_icode_pp,
	     hipe_icode_primops,
	     hipe_icode_range,
	     hipe_icode_ssa,
	     hipe_icode_ssa_const_prop,
	     hipe_icode_ssa_copy_prop,
	     hipe_icode_ssa_struct_reuse,
	     hipe_icode_split_arith,
	     hipe_icode_type,
	     hipe_ig,
	     hipe_ig_moves,
	     hipe_jit,
	     hipe_llvm,
	     hipe_llvm_liveness,
	     hipe_llvm_main,
	     hipe_llvm_merge,
	     hipe_ls_regalloc,
	     hipe_main,
	     hipe_moves,
	     hipe_node_sets,
	     hipe_optimistic_regalloc,
	     hipe_pack_constants,
	     hipe_ppc,
	     hipe_ppc_assemble,
	     hipe_ppc_cfg,
	     hipe_ppc_defuse,
	     hipe_ppc_encode,
	     hipe_ppc_finalise,
	     hipe_ppc_frame,
	     hipe_ppc_liveness_all,
	     hipe_ppc_liveness_fpr,
	     hipe_ppc_liveness_gpr,
	     hipe_ppc_main,
	     hipe_ppc_pp,
	     hipe_ppc_ra,
	     hipe_ppc_ra_finalise,
	     hipe_ppc_ra_ls,
	     hipe_ppc_ra_naive,
	     hipe_ppc_ra_postconditions,
	     hipe_ppc_ra_postconditions_fp,
	     hipe_ppc_registers,
	     hipe_ppc_specific,
	     hipe_ppc_specific_fp,
	     hipe_ppc_subst,
	     hipe_profile,
	     hipe_range_split,
	     hipe_reg_worklists,
	     hipe_regalloc_loop,
	     hipe_regalloc_prepass,
	     hipe_restore_reuse,
	     hipe_rtl,
	     hipe_rtl_arch,
	     hipe_rtl_arith_32,
	     hipe_rtl_arith_64,
	     hipe_rtl_binary,
	     hipe_rtl_binary_match,
	     hipe_rtl_binary_construct,
	     hipe_rtl_cfg,
	     hipe_rtl_cleanup_const,
	     hipe_rtl_exceptions,
	     hipe_rtl_lcm,
	     hipe_rtl_liveness,
	     hipe_rtl_mk_switch,
	     hipe_rtl_primops,
	     hipe_rtl_ssa,
	     hipe_rtl_ssa_const_prop,
	     hipe_rtl_ssa_avail_expr,
	     hipe_rtl_ssapre,
	     hipe_rtl_symbolic,
	     hipe_rtl_to_amd64,
	     hipe_rtl_to_arm,
	     hipe_rtl_to_llvm,
	     hipe_rtl_to_ppc,
	     hipe_rtl_to_sparc,
	     hipe_rtl_to_x86,
	     hipe_rtl_varmap,
	     hipe_rtl_verify_gcsafe,
	     hipe_segment_trees,
	     hipe_sdi,
	     hipe_sparc,
	     hipe_sparc_assemble,
	     hipe_sparc_cfg,
	     hipe_sparc_defuse,
	     hipe_sparc_encode,
	     hipe_sparc_finalise,
	     hipe_sparc_frame,
	     hipe_sparc_liveness_all,
	     hipe_sparc_liveness_fpr,
	     hipe_sparc_liveness_gpr,
	     hipe_sparc_main,
	     hipe_sparc_pp,
	     hipe_sparc_ra,
	     hipe_sparc_ra_finalise,
	     hipe_sparc_ra_ls,
	     hipe_sparc_ra_naive,
	     hipe_sparc_ra_postconditions,
	     hipe_sparc_ra_postconditions_fp,
	     hipe_sparc_registers,
	     hipe_sparc_specific,
	     hipe_sparc_specific_fp,
	     hipe_sparc_subst,
	     hipe_spillcost,
	     hipe_spillmin,
	     hipe_spillmin_color,
	     hipe_spillmin_scan,
	     hipe_tagscheme,
	     hipe_temp_map,
	     hipe_timing,
	     hipe_vectors,
	     hipe_x86,
	     hipe_x86_assemble,
	     hipe_x86_cfg,
	     hipe_x86_defuse,
	     hipe_x86_encode,
	     hipe_x86_frame,
	     hipe_x86_liveness,
	     hipe_x86_main,
	     hipe_x86_postpass,
	     hipe_x86_pp,
	     hipe_x86_ra,
	     hipe_x86_ra_finalise,
	     hipe_x86_ra_ls,
	     hipe_x86_ra_naive,
	     hipe_x86_ra_postconditions,
	     hipe_x86_registers,
	     hipe_x86_specific,
	     hipe_x86_specific_x87,
	     hipe_x86_spill_restore,
	     hipe_x86_subst,
	     hipe_x86_x87]},
  {registered,[]},
  {applications, [kernel,stdlib]},
  {env, []},
  {runtime_dependencies, ["syntax_tools-1.6.14","stdlib-3.4","kernel-5.3",
			  "erts-9.3","compiler-5.0"]}]}.
